### Method

# Gtk.PrintSettings.set_printer

#### Declaration [src]

    void
    gtk_print_settings_set_printer (
      GtkPrintSettings* settings,
      const char* printer
    )

#### Description [src]

Convenience function to set `GTK_PRINT_SETTINGS_PRINTER` to `printer`.

#### Parameters

`printer` | `const char*`
| the printer name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string